## TomoeCandidate

TomoeCandidate — An object of search results.

## Synopsis

                        TomoeCandidate;
    TomoeCandidate*     tomoe_candidate_new                 (TomoeChar *chr);
    TomoeChar*          tomoe_candidate_get_char            (TomoeCandidate *cand);
    void                tomoe_candidate_set_score           (TomoeCandidate *cand,
                                                             gint score);
    gint                tomoe_candidate_get_score           (TomoeCandidate *cand);
    gint                tomoe_candidate_compare             (const TomoeCandidate *a,
                                                             const TomoeCandidate *b);

## Object Hierarchy

      GObject
       +----TomoeCandidate

## Properties

      "char"                     TomoeChar             : Read / Write / Construct Only
      "score"                    guint                 : Read / Write

## Description

## Details

### TomoeCandidate

    typedef struct _TomoeCandidate TomoeCandidate;

The TomoeCandidate struct contains only private fields and should not be directly accessed.

### tomoe_candidate_new ()

    TomoeCandidate*     tomoe_candidate_new                 (TomoeChar *chr);

`chr` : |
Returns : |

### tomoe_candidate_get_char ()

    TomoeChar*          tomoe_candidate_get_char            (TomoeCandidate *cand);

`cand` : |
Returns : |

### tomoe_candidate_set_score ()

    void                tomoe_candidate_set_score           (TomoeCandidate *cand,
                                                             gint score);

`cand` : |
`score` : |

### tomoe_candidate_get_score ()

    gint                tomoe_candidate_get_score           (TomoeCandidate *cand);

`cand` : |
Returns : |

### tomoe_candidate_compare ()

    gint                tomoe_candidate_compare             (const TomoeCandidate *a,
                                                             const TomoeCandidate *b);

Compare two TomoeCandidate.

`a` : | 1st TomoeCandidate object to compare.
`b` : | 2nd TomoeCandidate object to compare.
Returns : | -1 a < b, 0 a= b, 1 a > b

## Property Details

### The "`char`" property

      "char"                     TomoeChar             : Read / Write / Construct Only

A TomoeChar object.

### The "`score`" property

      "score"                    guint                 : Read / Write

Score of this candidate. Lower value has higher priority.

Allowed values: <= G_MAXINT

Default value: 0